socket_bind4(3)

NAME
socket_bind4 - set the local IP address and port of a socket

SYNTAX
#include <libowfat/socket.h> int socket_bind4(int s,char ip[4],uint16 port);

DESCRIPTION
socket_bind4 sets the local IP address and TCP/UDP port of a TCP/UDP socket s to ip and port respectively. If the IP address is 0.0.0.0, the operating system chooses a local IP address. If port is 0, the operating system chooses a port. Normally socket_bind4 returns 0. If anything goes wrong, socket_bind4 returns -1, setting errno appropriately.

EXAMPLE
  #include <libowfat/socket.h>
  int s;
  char ip[4];
  uint16 p;
  s = socket_tcp4();
  socket_bind4(s,ip,p);
  socket_connect4(s,ip,p);

SEE ALSO
socket_bind6(3)